Bug 228939 - multimedia/rtmpdump: Fails to build with OpenSSL 1.1
Summary: multimedia/rtmpdump: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-06-12 14:26 UTC by Bernard Spil
Modified: 2018-10-25 11:57 UTC (History)
2 users (show)

See Also:
woodsb02: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-12 14:26:09 UTC
> cc  -L/usr/local/lib -L/usr/local/lib -Wl,-rpath,/usr/local/lib -fstack-protector -o rtmpdump rtmpdump.o -lrtmp -lssl -lcrypto -lz  
> --- rtmpdump ---
> /usr/local/lib/librtmp.so: undefined reference to `OpenSSL_add_all_digests'
> /usr/local/lib/librtmp.so: undefined reference to `HMAC_CTX_init'
> /usr/local/lib/librtmp.so: undefined reference to `SSL_load_error_strings'
> /usr/local/lib/librtmp.so: undefined reference to `HMAC_CTX_cleanup'
> /usr/local/lib/librtmp.so: undefined reference to `SSL_library_init'
> /usr/local/lib/librtmp.so: undefined reference to `SSLv23_server_method'
> /usr/local/lib/librtmp.so: undefined reference to `SSLv23_method'

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-10-10 21:19:03 UTC
Maybe, this can help (I have not tested it)
https://gitlab.com/JudgeZarbi/RTMPDump-OpenSSL-1.1
Comment 2 Ben Woods freebsd_committer 2018-10-25 11:57:16 UTC
This has been resolved by the recent commit r482967 (as part of bug PR231940).